<?php
// Author:    Ashley Kitson                                                  //
// Copyright: (c) 2004, Ashley Kitson
// URL:       http://xoobs.net			                                     //
// Project:   The XOOPS Project (http://www.xoops.org/)                      //
// Module:    XBS Logger (XBSLOG)                                            //
// ------------------------------------------------------------------------- //
/** 
 * Xoops module Installation parameters
 *
 * This file conforms to the Xoops standard for the xoops_version.php file.
 * Constant declarations beginning _MI_ are contained in language/../modinfo.php
 * 
 * @author Ashley Kitson http://xoobs.net
 * @copyright (c) 2006, Ashley Kitson
 * @package XBSLOG
 * @version 1
 * @subpackage Installation
 * @access private
 * @global array Module Installation array as per Xoops
 */
global $modversion;

/**
 * Logger definitions
 */
include_once(XOOPS_ROOT_PATH.'/modules/xbs_log/include/defines.php');

$modversion['name'] = _MI_XBSLOG_NAME;
$modversion['version'] = .1;
$modversion['description'] = _MI_XBSLOG_DESC;
$modversion['credits'] = "Ashley Kitson<br />( http://xoobs.net/ )";
$modversion['author'] = "Ashley Kitson";
$modversion['help'] = "xbsloghelp.html";
$modversion['license'] = "see LICENSE.TXT";
$modversion['official'] = 0;
$modversion['image'] = "images/xbslog_slogo.png";
$modversion['dirname'] = "xbs_log";
#$modversion['onUpdate'] = "install_funcs.php";
$modversion['onInstall'] = "install_funcs.php";
$modversion['onUninstall'] = "install_funcs.php";



// Sql file (must contain sql generated by phpMyAdmin or phpPgAdmin)
// All tables should not have any prefix!
$modversion['sqlfile']['mysql'] = "sql/xbs_log_mysql.sql";
//$modversion['sqlfile']['postgresql'] = "sql/pgsql.sql";

// Tables created by sql file (without prefix!)
$modversion['tables'][0] = XBSLOG_TBL_LOG;

// Main Menu
$modversion['hasMain'] = 0;

// Templates
// Admin things
// Admin menu things
$modversion['hasAdmin'] = 1;
$modversion['adminindex'] = "admin/index.php";
$modversion['adminmenu'] = "admin/menu.php";

$modversion['hasSearch'] = 0;
$modversion['hasComments'] = 0;
$modversion['hasNotification'] = 0;

//config things
$modversion['config'][1]['name'] = 'def_logpath';
$modversion['config'][1]['title'] = '_MI_XBSLOG_PATHNAME';
$modversion['config'][1]['description'] = '_MI_XBSLOG_PATHDESC';
$modversion['config'][1]['formtype'] = 'text';
$modversion['config'][1]['valuetype'] = 'text';
$modversion['config'][1]['default'] = XBSLOG_LOG_PATH;

$modversion['config'][2]['name'] = 'def_logfile';
$modversion['config'][2]['title'] = '_MI_XBSLOG_FILENAME';
$modversion['config'][2]['description'] = '_MI_XBSLOG_FILEDESC';
$modversion['config'][2]['formtype'] = 'text';
$modversion['config'][2]['valuetype'] = 'text';
$modversion['config'][2]['default'] = XBSLOG_LOG_FILE;

$modversion['config'][3]['name'] = 'def_datefmt';
$modversion['config'][3]['title'] = '_MI_XBSLOG_DATENAME';
$modversion['config'][3]['description'] = '_MI_XBSLOG_DATEDESC';
$modversion['config'][3]['formtype'] = 'text';
$modversion['config'][3]['valuetype'] = 'text';
$modversion['config'][3]['default'] = XBSLOG_DATEFMT;
?>
